---
title: Delete
url: https://docs.vultr.com/products/storage/snapshots/management/delete-snapshots
description: Permanently removes the selected resource from your Vultr account.
publish_date: 2024-09-23T20:21:21.777299Z
last_updated: 2026-05-26T19:51:10.457829Z
---

# How to Delete Snapshots

Deleting snapshots completely removes the resource from your account. You should only do this operation after restoring a snapshot to a Vultr Cloud Compute instance or after provisioning a Vultr Cloud Compute instance using the snapshot image. After deleting a snapshot, you can't undo the operation, so you should take great care.

Follow this guide to delete snapshots using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and select **Orchestration**.
    1. Click **Snapshots**. Select the target snapshot from the list and click the delete icon to remove the snapshot.
    1. Click **Remove Snapshot** to confirm.

=== "Vultr API"

    1. Send a `GET` request to the [**List Snapshots** endpoint](https://www.vultr.com/api/#tag/snapshot/operation/list-snapshots) to list all snapshots.

        ```console
        $ curl "https://api.vultr.com/v2/snapshots" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `DELETE` request to the [**Delete Snapshot** endpoint](https://www.vultr.com/api/#tag/snapshot/operation/create-snapshot) specifying a snapshot ID to delete a snapshot.

        ```console
        $ curl "https://api.vultr.com/v2/snapshots/snapshot_id" \
            -X DELETE \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

        Visit the [**Delete Snapshot** endpoint](https://www.vultr.com/api/#tag/snapshot/operation/create-snapshot) to view additional attributes to add to your request.

=== "Vultr CLI"

    1. List all snapshots and note the target snapshot's ID.

        ```console
        $ vultr-cli snapshot list
        ```

    1. Delete a snapshot by specifying a snapshot ID.

        ```console
        $ vultr-cli snapshot delete snapshot_id
        ```
    
        Run `vultr-cli snapshot delete --help` to view all options.

=== "Terraform"

    1. Open your Terraform configuration where the snapshot resource was created.

    1. Remove the `vultr_snapshot` resource block, or destroy it by target.

        ```terraform
        resource "vultr_snapshot" "weekly" {
            instance_id = var.instance_id
            description = "Weekly-Snapshot-14-08-2024"
        }

        # To delete, either remove this block from configuration
        # or run: terraform destroy -target vultr_snapshot.weekly
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 0 changed, 1 destroyed.
        ```
